import 'package:flutter/material.dart';

import 'package:dynamic_color/dynamic_color.dart';
import 'package:flutter/scheduler.dart';

void main() {
  runApp(const MainApp());
}

class MainApp extends StatelessWidget {
  const MainApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(home: DynamicColorBuilder(
        builder: (ColorScheme? lightDynamic, ColorScheme? darkDynamic) {
      var brightness =
          SchedulerBinding.instance.platformDispatcher.platformBrightness;

      bool isDark = brightness == Brightness.dark;

      Color accentColor = (isDark == true
          ? (darkDynamic?.primary ?? Colors.grey.shade800)
          : (lightDynamic?.primary ?? Colors.grey.shade200));

      return Scaffold(backgroundColor: accentColor);
    }));
  }
}
